Subject: lack of central info dir file

From: Brandon Invergo <[email-masked]>
Date: Wed, 20 Aug 2014 22:20:43 +0100

I've just successfully installed the Guix system on a spare computer
(yay!).  I'll send some bug reports as they roll in.  First up...

$HOME/.guix-profile/share/info/dir always points to the dir file of the
most recently installed package.  Instead, normally a dir file exists
independently of any package, and each package's entry is installed in
it via install-info.  So, now, for example, in info I only see Emacs'
entries but not Recutils, Coreutils or any of the other packages I've
installed.

Is it possible to remove or block the symlinking of each package's dir
in favor of installing to a user-local dir file in the profile?  Or
would this interfere with the no-side-effects nature of Guix?

-brandon

-- 
Brandon Invergo
http://brandon.invergo.net